/***************************************************************************
 * By Théophile Bastian, 2017
 * M1 Network course project at ENS Cachan, Juliusz Chroboczek.
 * License: WTFPL v2 <http://www.wtfpl.net/>
 **************************************************************************/

#pragma once

#include <vector>
#include <string>
#include "data.h"

class ConfigFile {
	public:
		ConfigFile();

		bool read(const char* path);
		bool write(const char* path);

		u64 getSelfId() const { return selfId; }
		void setSelfId(u64 id) { selfId = id; }
		/** Self id */

		const std::vector<Neighbour>& getBootstrapNodes() const {
			return bootstrapNodes;
		};
		/** Bootstrap nodes. No setter: wouldn't be useful. */

	private:
		u64 selfId;
		std::vector<Neighbour> bootstrapNodes;
};

